# Introduction

This package is a Python package made for data vizualisation. It allows to create dynamic, refined and customizable charts within the famous Jupyter Notebook environment. It is particularly suitable for Data Scientists who are looking for a smart way of displaying and presenting their data directly from the output cells of their notebooks.

## How It Works

Ipychart is an [ipywidget](https://ipywidgets.readthedocs.io/en/stable/). Ipywidgets are tools developed by the creators of Jupyter themselves. It allows to use pure Javascript code directly in the Jupyter environment, which is a Python environment. This bridge between Javascript and Python is made available in open source via the possibility for anyone to create a custom ipywidget. This package, which is therefore a custom ipywidget, takes advantage of the power of this bridge between Javascript and Python to make the [Chart.js](https://www.chartjs.org/) Javascript library available to all Jupyter Notebooks users.

The ipychart API is extremely similar - not to say identical - to the API of Chart.js. It is made to make all options and possibilities offered by Chart.js avaible in ipychart. As a lot of informations present in the official Chart.js documentation can be transposed in ipychart, with an adaptation to the syntax of Python, do not hesitate to refer to the [official documentation of Chart.js](https://www.chartjs.org/docs/latest/) if you cannot find what you are looking for here.

## Table of Contents

- [**Introduction**](https://nicohlr.gitlab.io/ipychart/user_guide/introduction.html)
- [**Getting Started**](https://nicohlr.gitlab.io/ipychart/user_guide/getting_started.html)
- [**Usage**](https://nicohlr.gitlab.io/ipychart/user_guide/usage.html)
- [**Charts**](https://nicohlr.gitlab.io/ipychart/user_guide/charts.html)
- [**Configuration**](https://nicohlr.gitlab.io/ipychart/user_guide/config.html)
- [**Scales**](https://nicohlr.gitlab.io/ipychart/user_guide/scales.html)
- [**Pandas Interface**](https://nicohlr.gitlab.io/ipychart/user_guide/pandas.html)
- [**Advanced Features**](https://nicohlr.gitlab.io/ipychart/user_guide/advanced.html)
- [**Developers**](https://nicohlr.gitlab.io/test_deploy_vuepress/developer_guide/development_installation.html)

## License

Ipychart is available under the [MIT license](https://opensource.org/licenses/MIT).